<ul>
  <li *ngFor="let item of items; let i = index;">
    <span [ngClass]="{ editActive: i === editIndex }" (click)="editItem(i)">{{ item | myuppercase }}</span>
    <button (click)="removeItem(i)">x</button>
  </li>
</ul>